aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.UpdateUser

Synopsis

- data UpdateUser = UpdateUser {
  - uuUserName :: Text
  - uuNewUserName :: Maybe Text
  - uuNewPath :: Maybe Text
  }
- data UpdateUserResponse = UpdateUserResponse

# Documentation

data UpdateUser Source #

Updates the name and/or path of the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateUser.html

Constructors

UpdateUser |

Fields

- uuUserName :: Text

  Name of the user to be updated.

- uuNewUserName :: Maybe Text

  New name for the user.

- uuNewPath :: Maybe Text

  New path to which the user will be moved.

#### Instances

Instances details

SignQuery UpdateUser Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ServiceConfiguration UpdateUser |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ServiceConfiguration UpdateUser = IamConfiguration

Methods

signQuery :: UpdateUser -> ServiceConfiguration UpdateUser queryType -> SignatureData -> SignedQuery Source #

Show UpdateUser Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods showsPrec :: Int -> UpdateUser -> ShowS Source # show :: UpdateUser -> String Source # showList :: [UpdateUser] -> ShowS Source #
Eq UpdateUser Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods (==) :: UpdateUser -> UpdateUser -> Bool Source # (/=) :: UpdateUser -> UpdateUser -> Bool Source #
Ord UpdateUser Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Methods

compare :: UpdateUser -> UpdateUser -> Ordering Source #

(<) :: UpdateUser -> UpdateUser -> Bool Source #

(<=) :: UpdateUser -> UpdateUser -> Bool Source #

(>) :: UpdateUser -> UpdateUser -> Bool Source #

(>=) :: UpdateUser -> UpdateUser -> Bool Source #

max :: UpdateUser -> UpdateUser -> UpdateUser Source #

min :: UpdateUser -> UpdateUser -> UpdateUser Source #

ResponseConsumer UpdateUser UpdateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ResponseMetadata UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateUser -> IORef (ResponseMetadata UpdateUserResponse) -> HTTPResponseConsumer UpdateUserResponse Source #

Transaction UpdateUser UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser
type ServiceConfiguration UpdateUser Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ServiceConfiguration UpdateUser = IamConfiguration

data UpdateUserResponse Source #

Constructors

UpdateUserResponse |

#### Instances

Instances details

AsMemoryResponse UpdateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type MemoryResponse UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type MemoryResponse UpdateUserResponse = UpdateUserResponse

Methods

loadToMemory :: UpdateUserResponse -> ResourceT IO (MemoryResponse UpdateUserResponse) Source #

Show UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods showsPrec :: Int -> UpdateUserResponse -> ShowS Source # show :: UpdateUserResponse -> String Source # showList :: [UpdateUserResponse] -> ShowS Source #
Eq UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser Methods (==) :: UpdateUserResponse -> UpdateUserResponse -> Bool Source # (/=) :: UpdateUserResponse -> UpdateUserResponse -> Bool Source #
Ord UpdateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Methods

compare :: UpdateUserResponse -> UpdateUserResponse -> Ordering Source #

(<) :: UpdateUserResponse -> UpdateUserResponse -> Bool Source #

(<=) :: UpdateUserResponse -> UpdateUserResponse -> Bool Source #

(>) :: UpdateUserResponse -> UpdateUserResponse -> Bool Source #

(>=) :: UpdateUserResponse -> UpdateUserResponse -> Bool Source #

max :: UpdateUserResponse -> UpdateUserResponse -> UpdateUserResponse Source #

min :: UpdateUserResponse -> UpdateUserResponse -> UpdateUserResponse Source #

ResponseConsumer UpdateUser UpdateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type ResponseMetadata UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateUser -> IORef (ResponseMetadata UpdateUserResponse) -> HTTPResponseConsumer UpdateUserResponse Source #

Transaction UpdateUser UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser
type MemoryResponse UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type MemoryResponse UpdateUserResponse = UpdateUserResponse
type ResponseMetadata UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata